Debian Bug report logs - #657967
ITA: prelink -- ELF prelinking utility to speed up dynamic linking

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Igor Borski <ibtemp@mail.ru>

Date: Mon, 30 Jan 2012 12:06:13 UTC

Owned by: Geoffrey Thomas <gthomas@mokafive.com>

Severity: normal

Fixed in version prelink/0.0.20130503-1

Done: Geoffrey Thomas <gthomas@mokafive.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#657967; Package wnpp. (Mon, 30 Jan 2012 12:06:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Igor Borski <ibtemp@mail.ru>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Mon, 30 Jan 2012 12:06:35 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Igor Borski <ibtemp@mail.ru>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: prelink -- ELF prelinking utility to speed up dynamic linking
Date: Mon, 30 Jan 2012 15:01:38 +0300
Package: wnpp
Severity: normal

I intend to orphan the prelink package.

Package maintainer is Andrés Roldán <aroldan@debian.org>
He is unreachable both through email and BTS.
Package version is way behind upstream (last upload 2009, upstream updated
2011-10-12)

The package description is:
 The prelink package contains a utility which modifies ELF shared libraries




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#657967; Package wnpp. (Mon, 30 Jan 2012 12:25:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bernd Zeimetz <bernd@bzed.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 30 Jan 2012 12:25:33 GMT) Full text and rfc822 format available.

Message #10 received at 657967@bugs.debian.org (full text, mbox):

From: Bernd Zeimetz <bernd@bzed.de>
To: Igor Borski <ibtemp@mail.ru>, 657967@bugs.debian.org
Cc: mia@qa.debian.org
Subject: Re: Bug#657967: O: prelink -- ELF prelinking utility to speed up dynamic linking
Date: Mon, 30 Jan 2012 13:16:48 +0100
Hi,

On 01/30/2012 01:01 PM, Igor Borski wrote:
> Package: wnpp
> Severity: normal
> 
> I intend to orphan the prelink package.

thanks for trying to take care of a package - but next time please
coordinate orphanings with the MIA team (CCed), they keep track of MIA
developers and also orphan packages if necessary.

Cheers,

Bernd


-- 
 Bernd Zeimetz                            Debian GNU/Linux Developer
 http://bzed.de                                http://www.debian.org
 GPG Fingerprint: ECA1 E3F2 8E11 2432 D485  DD95 EB36 171A 6FF9 435F




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#657967; Package wnpp. (Sat, 11 Feb 2012 19:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Martí <danielmarti.debian@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 11 Feb 2012 19:21:05 GMT) Full text and rfc822 format available.

Message #15 received at 657967@bugs.debian.org (full text, mbox):

From: Daniel Martí <danielmarti.debian@gmail.com>
To: 657967@bugs.debian.org
Cc: control@bugs.debian.org
Subject: ITA: prelink -- ELF prelinking utility to speed up dynamic linking
Date: Sat, 11 Feb 2012 20:18:12 +0100
[Message part 1 (text/plain, inline)]
retitle 657967 ITA: prelink -- ELF prelinking utility to speed up dynamic linking
owner 657967 !
thanks

Dear Igor,

I'd like to take over the maintenance of this package. A sponsorship request
should be sent in the next days.

Thanks for your work.

Daniel
-- 
Daniel Martí - mvdan.cc - 0x58BF72C3
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'ITA: prelink -- ELF prelinking utility to speed up dynamic linking' from 'O: prelink -- ELF prelinking utility to speed up dynamic linking' Request was from Daniel Martí <danielmarti.debian@gmail.com> to control@bugs.debian.org. (Sat, 11 Feb 2012 19:21:10 GMT) Full text and rfc822 format available.

Owner recorded as Daniel Martí <danielmarti.debian@gmail.com>. Request was from Daniel Martí <danielmarti.debian@gmail.com> to control@bugs.debian.org. (Sat, 11 Feb 2012 19:21:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Daniel Martí <danielmarti.debian@gmail.com>:
Bug#657967; Package wnpp. (Mon, 20 Feb 2012 05:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to René Mayorga <rmayorga@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Daniel Martí <danielmarti.debian@gmail.com>. (Mon, 20 Feb 2012 05:57:06 GMT) Full text and rfc822 format available.

Message #24 received at 657967@bugs.debian.org (full text, mbox):

From: René Mayorga <rmayorga@debian.org>
To: Bernd Zeimetz <bernd@bzed.de>
Cc: Igor Borski <ibtemp@mail.ru>, 657967@bugs.debian.org, mia@qa.debian.org, Daniel Martí <danielmarti.debian@gmail.com>
Subject: Re: Bug#657967: O: prelink -- ELF prelinking utility to speed up dynamic linking
Date: Sun, 19 Feb 2012 23:44:37 -0600
[Message part 1 (text/plain, inline)]
On Mon, Jan 30, 2012 at 01:16:48PM +0100, Bernd Zeimetz wrote:
> 
> On 01/30/2012 01:01 PM, Igor Borski wrote:
> > Package: wnpp
> > Severity: normal
> > 
> > I intend to orphan the prelink package.
> 
> thanks for trying to take care of a package - but next time please
> coordinate orphanings with the MIA team (CCed), they keep track of MIA
> developers and also orphan packages if necessary.

Bernd, Thanks for putting this on the MIA team radar

We are already trying to contact aroldan, if he does no react to
this O bug nor our email in 1 week Daniel can take the package though.

Cheers

--
Rene
QA/MIA team
[signature.asc (application/pgp-signature, inline)]

Added blocking bug(s) of 657967: 659522 Request was from Benoît Knecht <benoit.knecht@fsfe.org> to control@bugs.debian.org. (Mon, 20 Feb 2012 19:21:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Daniel Martí <danielmarti.debian@gmail.com>:
Bug#657967; Package wnpp. (Mon, 07 May 2012 14:33:31 GMT) Full text and rfc822 format available.

Acknowledgement sent to Igor Borski <ibtemp@mail.ru>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Daniel Martí <danielmarti.debian@gmail.com>. (Mon, 07 May 2012 14:33:31 GMT) Full text and rfc822 format available.

Message #31 received at 657967@bugs.debian.org (full text, mbox):

From: Igor Borski <ibtemp@mail.ru>
To: 657967@bugs.debian.org
Subject: Re[2]: Bug#657967: O: prelink -- ELF prelinking utility to speed up dynamic linking
Date: Mon, 07 May 2012 18:30:33 +0400
Hello,

Sorry for bothering QA team, but I would like to know if there are any new developments?

I checked valgrind status and it shows Andres resigned that package maintenance.

--
Best of luck to you,
Igor

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Daniel Martí <danielmarti.debian@gmail.com>:
Bug#657967; Package wnpp. (Mon, 21 May 2012 20:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Martí <mvdan@mvdan.cc>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Daniel Martí <danielmarti.debian@gmail.com>. (Mon, 21 May 2012 20:42:06 GMT) Full text and rfc822 format available.

Message #36 received at 657967@bugs.debian.org (full text, mbox):

From: Daniel Martí <mvdan@mvdan.cc>
To: 657967@bugs.debian.org
Subject: ITA: prelink
Date: Mon, 21 May 2012 22:39:14 +0200
[Message part 1 (text/plain, inline)]
Hello Igor,

My apologies for being inactive these last few weeks. For some reason I
did not notice neither both your mail nor the one from Charles in the
RFS.

Respecting the package, I'll take care of what Charles suggests now. And
as far as the ITA, anything is fine by me. The best option might be for
my upload to make it as a NMU, since prelink doesn't seem to show any
further development. Would that be fine by you? If so, I'd re-orphan the
package and repack the update as a NMU.

Cheers.
--
Daniel Martí - mvdan@mvdan.cc - GPG 0x58BF72C3
[Message part 2 (application/pgp-signature, inline)]

Changed Bug title to 'O: prelink -- ELF prelinking utility to speed up dynamic linking' from 'ITA: prelink -- ELF prelinking utility to speed up dynamic linking' Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Fri, 08 Jun 2012 05:36:06 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Daniel Martí <danielmarti.debian@gmail.com>. Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Fri, 08 Jun 2012 05:36:07 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 657967: 659522 Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Fri, 08 Jun 2012 05:36:08 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 657967: 676516 Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Fri, 08 Jun 2012 05:36:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#657967; Package wnpp. (Tue, 19 Jun 2012 10:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Igor Borski <ibtemp@mail.ru>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 19 Jun 2012 10:15:04 GMT) Full text and rfc822 format available.

Message #49 received at 657967@bugs.debian.org (full text, mbox):

From: Igor Borski <ibtemp@mail.ru>
To: 657967@bugs.debian.org
Cc: Daniel Martí <mvdan@mvdan.cc>
Subject: prelink: Upstream status
Date: Tue, 19 Jun 2012 13:53:05 +0400
Hello Daniel,

thanks for your work.

> The best option might be for
> my upload to make it as a NMU, since prelink doesn't seem to show any
> further development. Would that be fine by you? If so, I'd re-orphan the
> package and repack the update as a NMU.

I had a look at svn://sourceware.org/svn/prelink/trunk

And yes it is not much activity there but latest is in April 2012 so it is not forgotten :) .

Maybe we can contact the one and only prelink developer Jakub Jelinek <jakub@redhat.com>
to forward bugs upstream and whether he plans on supporting it in future.

--
Anyway good luck to you.
Igor


Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#657967; Package wnpp. (Thu, 13 Feb 2014 23:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geoffrey Thomas <gthomas@mokafive.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 13 Feb 2014 23:21:04 GMT) Full text and rfc822 format available.

Message #54 received at 657967@bugs.debian.org (full text, mbox):

From: Geoffrey Thomas <gthomas@mokafive.com>
To: 657967@bugs.debian.org
Cc: control@bugs.debian.org
Subject: ITA: prelink
Date: Thu, 13 Feb 2014 15:12:52 -0800
retitle 657967 ITA: prelink -- ELF prelinking utility to speed up dynamic linking
owner 657967 !
thanks

I intend to adopt prelink and get it updated the newest upstream version. 
I've been in touch with asheesh about sponsoring it, and I'm going to plan 
to do an upload this weekend.

-- 
Geoffrey Thomas
gthomas@mokafive.com



Changed Bug title to 'ITA: prelink -- ELF prelinking utility to speed up dynamic linking' from 'O: prelink -- ELF prelinking utility to speed up dynamic linking' Request was from Geoffrey Thomas <gthomas@mokafive.com> to control@bugs.debian.org. (Thu, 13 Feb 2014 23:21:07 GMT) Full text and rfc822 format available.

Owner recorded as Geoffrey Thomas <gthomas@mokafive.com>. Request was from Geoffrey Thomas <gthomas@mokafive.com> to control@bugs.debian.org. (Thu, 13 Feb 2014 23:21:08 GMT) Full text and rfc822 format available.

Reply sent to Geoffrey Thomas <gthomas@mokafive.com>:
You have taken responsibility. (Tue, 18 Feb 2014 09:24:05 GMT) Full text and rfc822 format available.

Notification sent to Igor Borski <ibtemp@mail.ru>:
Bug acknowledged by developer. (Tue, 18 Feb 2014 09:24:05 GMT) Full text and rfc822 format available.

Message #63 received at 657967-close@bugs.debian.org (full text, mbox):

From: Geoffrey Thomas <gthomas@mokafive.com>
To: 657967-close@bugs.debian.org
Subject: Bug#657967: fixed in prelink 0.0.20130503-1
Date: Tue, 18 Feb 2014 09:22:17 +0000
Source: prelink
Source-Version: 0.0.20130503-1

We believe that the bug you reported is fixed in the latest version of
prelink, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 657967@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Geoffrey Thomas <gthomas@mokafive.com> (supplier of updated prelink package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 17 Feb 2014 23:33:57 -0800
Source: prelink
Binary: prelink execstack
Architecture: source amd64
Version: 0.0.20130503-1
Distribution: unstable
Urgency: medium
Maintainer: Geoffrey Thomas <gthomas@mokafive.com>
Changed-By: Geoffrey Thomas <gthomas@mokafive.com>
Description: 
 execstack  - ELF GNU_STACK program header editing utility
 prelink    - ELF prelinking utility to speed up dynamic linking
Closes: 657967 736947
Changes: 
 prelink (0.0.20130503-1) unstable; urgency=medium
 .
   * Against my better judgement, adopt the package (Closes: #657967).
   * New upstream release, version 0.5.0 according to Fedora's numbering
     (Closes: #736947).
   * Bump standards version to 3.9.5.0 (no changes needed).
   * In debian/patches:
     - prelink.h.patch: Dropped; not needed except for truly ancient libc
       versions (2003ish).
     - init.patch, timestamp.patch: Refreshed.
     - r187.patch, r188.patch, r189.patch, r190.patch: Dropped; part of
       new upstream release.
     - open-with-mode.patch: Dropped; fixed in upstream r176
       "m4/libelf.m4: Resync with version of code in aclocal.m4."
     - ts.patch, prelink.8.patch, cache.patch: Dropped; they were
       previously commented out in debian/patches. ts skipped some tests
       and the other two were fixed upstream.
     - dso.c.patch, layout.c.patch, ts2.patch: Deleted; they were
       unreferenced in debian/patches and look like old debugging stuff.
   * debian/prelink.spec: Sync with Fedora -- this is used in generating
     the upstream changelog.
   * debian/copyright: Convert to machine-readable format 1.0 (aka DEP-5).
   * Add a debian/watch file.
Checksums-Sha1: 
 ac1bc6f12e7a7bb41c62513ce55dd4dc06a40ece 1190 prelink_0.0.20130503-1.dsc
 eff86cb26f0cc174486769527286cc388d5216b0 928040 prelink_0.0.20130503.orig.tar.bz2
 5e0694a58fcda303045bdcfa41536266e41c68e7 28328 prelink_0.0.20130503-1.debian.tar.xz
 3b1d1b273705cd96c86ffac28f5cfecfbd64936e 947790 prelink_0.0.20130503-1_amd64.deb
 3cfc23cb2af59bce1175bcf7f558d4b4c50bb2e6 74712 execstack_0.0.20130503-1_amd64.deb
Checksums-Sha256: 
 5ada3240c5fe775e5c1b30038bdea1b2c58fca4c4dc44068025ce2700e6535bb 1190 prelink_0.0.20130503-1.dsc
 6339c7605e9b6f414d1be32530c9c8011f38820d36431c8a62e8674ca37140f0 928040 prelink_0.0.20130503.orig.tar.bz2
 f09826c11cd3cd3301bf19aa131ade0a3d900dcd34f464ebbc857178e728be84 28328 prelink_0.0.20130503-1.debian.tar.xz
 2780bdec579fcd45e91125efdca2a7097d204d60da6ea533347cf204a5fea1e3 947790 prelink_0.0.20130503-1_amd64.deb
 d5a4afe6174c0f76fd0a5dc682807396e295b8264cf65f10188a3ea55e6942f1 74712 execstack_0.0.20130503-1_amd64.deb
Files: 
 38bcd9b2dd73c7dd73104925303cc3e7 1190 admin optional prelink_0.0.20130503-1.dsc
 4cab1571718a9b25665bd025069a02c7 928040 admin optional prelink_0.0.20130503.orig.tar.bz2
 cd457ad4a2a348c82849a90585835dc4 28328 admin optional prelink_0.0.20130503-1.debian.tar.xz
 7b9042095e3cf7d6faa8d0062da9f7ab 947790 admin optional prelink_0.0.20130503-1_amd64.deb
 437b43bf1c709e4e9bbeefb0ef791f30 74712 admin optional execstack_0.0.20130503-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iEYEARECAAYFAlMDGXwACgkQN+HBdXAJatF0YgCdGtYQ9xgpoWLXF4AagR6EK461
UWIAoILKsuuDex0v6ALnJWSKrwqBjid5
=r8MH
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 19 Mar 2014 07:32:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:24:40 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.